<template>
    <div>
      <div>
        Назва страви
        <input v-model="product.dishName" type="text" />
      </div>
      <div>
        Одиниці вимірювання
        <input v-model="product.measurementUnit" type="text" />
      </div>
      <div>
        Ціна за 1 порцію
        <input v-model="product.costPerUnit" type="number" />
      </div>
      <div>
        Національність
        <input v-model="product.cuisine" type="text" />
      </div>
      <button @click="addItem(product)">Add</button>
      <router-link to="/dishList">Повернутись до таблиці</router-link>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex';
  
  export default {
    data() {
      return {
        product: {},
      };
    },
    methods: {
      ...mapActions('products', ['addItem']),
      
      
    },
  };
  </script>
  
  <style lang="scss" scoped>
  
  </style>
  